ActiveCampaign KnowledgeBuilder index.php article Variable SQL Injection

2005-11-24T17:23:10
ID OSVDB:21096
Type osvdb
Reporter r0t(krustevs@googlemail.com)
Modified 2005-11-24T17:23:10

Description

Vulnerability Description

KnowledgeBuilder contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'article' variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Technical Description

This vulnerability is only present when the magic_quotes_gpc PHP option is 'off'.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

KnowledgeBuilder contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'article' variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

References:

Vendor URL: http://www.activecampaign.com/kb/ Secunia Advisory ID:17732 Related OSVDB ID: 21098 Related OSVDB ID: 21097 Other Advisory URL: http://pridels.blogspot.com/2005/11/activecampaign-knowledgebuilder-vuln.html FrSIRT Advisory: ADV-2005-2587 CVE-2005-3828